package optics.light;

import basics.math.algebra.Vector;

public abstract class LightSource {

    protected Color color;

    public LightSource(Color color) {
        this.color = color;
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public abstract Vector getDirection(Vector point);

    public abstract double getDistance(Vector point);
}
